package config

import "github.com/zeromicro/go-zero/zrpc"

type Config struct {
	zrpc.RpcServerConf

	SMTPConfig struct {
		Enable           bool
		Sort             int
		GoroutinePoolNum int

		Host     string
		Port     int
		Username string
		Password string
	}

	AmazonSesSettings struct {
		Enable   bool
		Sort     int
		PoolSize int

		Region    string
		Sender    string
		Charset   string
		AccessKey string
		SecretKey string
		Token     string
	}
	MitakeSMSSender struct {
		Enable   bool
		Sort     int
		PoolSize int

		User     string
		Password string
	}
}
