package config

type SMTPConfig struct {
	Enable           bool
	Sort             int
	GoroutinePoolNum int

	Host     string
	Port     int
	Username string
	Password string
}

type AmazonSesSettings struct {
	Enable   bool
	Sort     int
	PoolSize int

	Region    string
	Sender    string
	Charset   string
	AccessKey string
	SecretKey string
	Token     string
}

type MitakeSMSSender struct {
	Enable   bool
	Sort     int
	PoolSize int

	User     string
	Password string
}
