package notification

import "fmt"

type TypeID int64

func (id TypeID) String() string {
	return fmt.Sprintf("%4d", id)
}

// 驗證碼通知類 0 ~ 100
const (
	BindingEmail         TypeID = 1 // 驗證碼：綁定 Email
	BindingPhone         TypeID = 2 // 驗證碼：綁定 手機
	ForgetPasswordVerify TypeID = 3 // 驗證碼: 忘記密碼
)
