package repository

import "context"

type MailRepository interface {
	// SendMail 送出 Email
	SendMail(ctx context.Context, req MailReq) error
}

type MailReq struct {
	To      []string
	From    string
	Subject string
	Body    string
}
